#include "List.h"
#include "Exceptions.h"
#include <iostream>
#include <list>
using namespace std;

template <typename T>
T min(T a, T b) {
	return a < b ? a : b;
}

class Square {
public:
	void print();
};

void Square::print() {
	cout << "Square" << endl;
}

class Color {
public:
	void print();
};

void Color::print() {
	cout << "Color" << endl;
}

int main() {

	list<Square*>* listS = new list<Square*>();
	list<int>* listI = new list<int>();

	listI->push_back(1);
	listI->push_back(2);
	listI->push_front(3);
	listI->push_back(4);
	listI->pop_front();

	for (int element : *listI) {
		cout << element << endl;
	}
	
	return 0;
}